# Неформальная спецификация протокола Stadium версии 1.0

Stadium это протокол для безопасной коммуникации общего назначения, работающий поверх обширного перечня транспорта и архитектурно не зависящий от оного. Данная спецификация описывает базу, на основе которой могут быть реализованы расширения для более конкретных нужд. <!--Помимо прочего, данный протокол служит основой для полнофункционального мессенджера Marafon, спецификация расширения которого находится в папке `SPX/Marafon/`.-->

Основной фокус при работе над этим проектом идёт на:

- Минимизацию оверхэда и возможность функционирования в условиях низкой пропускной способности канала;
- Приемлимое функционирование в условиях больших потерь пакетов;
- Поддержку широкого спектра транспортных протоколов "из коробки";
- Гибкое и кастомизируемое шифрование;
- Расширяемость и возможность подгонки под конкретные задачи.

**Внимание!** В данный момент проект находится в стадии активного проектирования. Данная версия спецификации акцентирует внимание на закреплении общих, преимущественно фундаментальных идей и концепций, потому и является *неформальной*.
